ocaml-interp_4.05.0-10ubuntu2_amd64.deb


Advertisement

Description

ocaml-interp - OCaml interactive interpreter and standard libraries

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename ocaml-interp_4.05.0-10ubuntu2_amd64.deb
Package name ocaml-interp
Package version 4.05.0
Package release 10ubuntu2
Package architecture amd64
Package type deb
Category universe/devel
Homepage https://ocaml.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.30 MB
Installed size 11.52 MB
Objective Caml (OCaml) is an implementation of the ML language, based on
the Caml Light dialect extended with a complete class-based object system
and a powerful module system in the style of Standard ML.
This package contains the files required to run an OCaml shell from the
command line.

Alternatives

Package Version Architecture Repository
ocaml-interp_4.05.0-10ubuntu2_i386.deb 4.05.0 i386 Ubuntu Universe
ocaml-interp - - -

Requires

Name Value
ocaml-base-nox-4.05.0 -
ocaml-compiler-libs = 4.05.0-10ubuntu2

Provides

Name Value
ocaml-interp-4.05.0 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ocaml-interp_4.05.0-10ubuntu2_amd64.deb
Source Package ocaml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ocaml-interp deb package:
    # sudo apt-get install ocaml-interp

Files

Path
/usr/bin/ocaml
/usr/share/applications/ocaml.desktop
/usr/share/doc/ocaml-interp/changelog.Debian.gz
/usr/share/doc/ocaml-interp/copyright
/usr/share/man/man1/ocaml.1.gz
/usr/share/pixmaps/ocaml.xpm

Changelog

2018-05-03 - Matthias Klose <doko@ubuntu.com>
ocaml (4.05.0-10ubuntu2) cosmic; urgency=medium
* No-change rebuild for ncurses soname changes.
2017-10-20 - Dimitri John Ledkov <xnox@ubuntu.com>
ocaml (4.05.0-10ubuntu1) bionic; urgency=medium
* Merge with Debian unstable:
- Pass --hash-style=both --as-needed --build-id to the linker.
- Keep -fPIC patch.
2017-10-04 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-10) unstable; urgency=medium
* Drop support for ocamlopt on armel as suggested by upstream.
* Replace the ARM PIC patch with one from upstream.
2017-09-15 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-9) unstable; urgency=medium
* Upload to unstable. (Closes: #871990)
2017-09-14 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-8) experimental; urgency=medium
[ Ximin Luo ]
* Merge changes from Debian unstable. Relevant ones:
* Tell dh_installdocs to ignore README.Debian (see #868204)
* obey hardening LDFLAGS (Closes: #792502). Thanks to Török Edwin
for the patch!
* Compute a stable name for preprocessed files (Closes: #838188).
Thanks to Johannes Schauer for the patch!
* Close old bugs.
* New upstream release 4.05 closes CVE-2015-8869 (Closes: #824139).
* Debian release 4.03.0-3 defaults to PIC on arm (Closes: #837359).
[ Pino Toscano ]
* Convert the menu file to a desktop file. (see #741573)
2017-07-31 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-7) experimental; urgency=medium
* Only install findlib/ocaml-native-compilers.conf on native-code arches,
fixing ocamlfind behaviour and FTBFS of ocamlbuild.
2017-07-29 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-6) experimental; urgency=medium
* Mark certain symbols as .hidden in arm64 codegen, fixing FTBFS with
binutils 2.29. (Closes: #868860)
2017-07-22 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-5) experimental; urgency=medium
* Proper fix for kfreebsd-* not having dup3/pipe2.
2017-07-21 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-4) experimental; urgency=medium
* Fix new natdynlink logic, fixes FTBFS on some more arches.
2017-07-21 - Ximin Luo <infinity0@debian.org>
ocaml (4.05.0-3) experimental; urgency=medium
* Fix Makefile $-escaping syntax, fixes FTBFS on a bunch of arches.

See Also

Package Description
ocaml-libs_3.12.0.1_all.deb OCaml core libraries (metapackage)
ocaml-melt_1.4.0-2build2_amd64.deb LaTeX with OCaml (tools)
ocaml-mingw-w64-i686_4.01.0~20140328-1build8_amd64.deb OCaml cross-compiler based on mingw -- 32 bit compiler
ocaml-mingw-w64-x86-64_4.01.0~20140328-1build8_amd64.deb OCaml cross-compiler based on mingw -- 64 bit compiler
ocaml-mingw-w64_4.01.0~20140328-1build8_amd64.deb OCaml cross-compiler based on mingw -- Meta-package
ocaml-mode_4.05.0-10ubuntu2_all.deb major mode for editing Objective Caml in Emacs
ocaml-nox_4.05.0-10ubuntu2_amd64.deb ML implementation with a class-based object system (no X)
ocaml-obuild_0.1.10-3_amd64.deb simple package build system for OCaml
ocaml-qtest_2.9-2_amd64.deb Inline (Unit) Tests for OCaml (Executable)
ocaml-source_4.05.0-10ubuntu2_all.deb Sources for Objective Caml
ocaml-tools_20120103-5_all.deb tools for OCaml developers
ocaml-ulex08_0.8-10build9_amd64.deb OCaml lexer generator with Unicode support - CamlP5 version
ocaml-ulex_1.1-3build1_amd64.deb OCaml lexer generator with Unicode support
ocaml_4.05.0-10ubuntu2_amd64.deb ML language implementation with a class-based object system
ocamlbuild_0.11.0-3build1_amd64.deb Build tool for building OCaml library and programs
Advertisement
Advertisement